Using Tools

Online Help

Version 05.30.0000

Copyright © 2001-2012 Agilent Technologies, Inc.

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

November, 2011

Table of Contents

Using Tools—At a Glance
To install a tool
Using Inverse Assembler Tools
Using Bus Analysis Tools
Using the Filter/Colorize Tool
To add a new Filter/Colorize tool
To specify bus/signal patterns to filter
To specify packet patterns to filter
To insert or delete pattern events
To insert or delete filter clauses
To name filter clauses
To disable or enable filter clauses
To change the "across all data" option
To store favorite Filter/Colorize tool setups
To recall favorite Filter/Colorize tool setups
To delete favorite Filter/Colorize tool setups
To disable or enable a Filter/Colorize tool
To rename a Filter/Colorize tool
To delete a Filter/Colorize tool
The Filter/Colorize Tool vs. Filtering in the Trigger
Using the Packet Decoder Tool
To develop your own tools


Using Tools—At a Glance

The tools accessed through the Tools menu allow you to process captured data before you view it.

Some tools are supplied with the logic analyzer. Other tools can be purchased from Agilent or from other companies.

  • To install a tool

Some of the tools you are likely to use include:

  • Filter/Colorize Tool

  • Inverse Assembly Tools

  • Bus Analysis Tools

See Also

  • To develop your own tools


To install a tool

  1. To install a new tool, run the setup program on the tool's installation CD-ROM by selecting Start>Settings>Control Panel>Add/Remove Programs.

  2. Once the files have been installed, you may need to license the tool.

  3. To use the new tool in a measurement, add it to the measurement configuration.

If you ordered the tool with your Agilent Technologies logic analyzer, the tool should already be installed and licensed.

See Also

  • "To install a program from a CD-ROM" in the Windows help

  • To activate software licenses

  • To add, duplicate, or delete windows and tools


Using Inverse Assembler Tools

Inverse assembler tools help you view captured bus activity as assembly language mnemonics.

To use an inverse assembler, you will usually need to:

  1. Design logic analyzer connectors into your target system, or use an analysis probe.

  2. Install and license the inverse assembler software.

  3. Load a configuration. The configuration sets up buses and signals, adds an inverse assembly and a filter/colorize tool, and defines symbols.

  4. Configure the inverse assembler to work with your target system.

  5. Capture and view your data.

Inverse assembly tools lock the buses and signals that they use to create the mnemonics. Locked buses and signals cannot be deleted or renamed, although they can be turned off in the viewers. A locked bus or signal has a gray icon to the left of the name instead of a red one.

Inverse assembler tool online help is installed with the tool.

[Note]

You may find help for additional inverse assembler tools by clicking on the Contents tab on the left side of this window, and then expanding Using Tools and Using Inverse Assembler Tools (by clicking their "+"). Help for inverse assemblers from other companies is listed under the company name.

See Also

  • To install a tool

  • To add, duplicate, or delete windows and tools

  • Setting Up Symbols


Using Bus Analysis Tools

Bus analysis tools help you interpret bus activity in terms of network or bus protocols.

[Note]

Help for any bus analysis tools which have been installed on your logic analyzer can be found by selecting Help>Help On Probes from the menu bar, or in the Contents tab of this help window, under Setting Up the Logic Analyzer:

See Also

  • Using the Packet Decoder Tool


Using the Filter/Colorize Tool

The Filter/Colorize tool lets you show, hide, or color certain samples from a data acquisition module or tool before they are passed on to a display window (for example, Waveform, Listing, etc.) or another tool.

  • To add a new Filter/Colorize tool

  • To specify bus/signal patterns to filter

  • To specify packet patterns to filter

  • To insert or delete pattern events

  • To insert or delete filter clauses

  • To name filter clauses

  • To disable or enable filter clauses

  • To change the "across all data" option

  • To store favorite Filter/Colorize tool setups

  • To recall favorite Filter/Colorize tool setups

  • To delete favorite Filter/Colorize tool setups

  • To disable or enable a Filter/Colorize tool

  • To rename a Filter/Colorize tool

  • To delete a Filter/Colorize tool

See Also

  • The Filter/Colorize Tool vs. Filtering in the Trigger


To add a new Filter/Colorize tool

  1. From the Agilent Logic Analyzer application's main menu, select Tools>New Filter/Colorize..., specify its location in the New Tool dialog, and click OK:

    Or, in the Overview window, right-click at the location you want to add the the tool and choose New Tool>Filter/Colorize...:

  2. In the Filter/Colorize dialog, select the type of filter:

    You can choose to Show, Hide, or Color the samples that match the bus/signal pattern(s).

  3. Specify the bus/signal pattern or packet pattern to filter.

  4. Click OK to apply the filter.

See Also

  • To insert or delete pattern events

  • To insert or delete filter clauses

  • To name filter clauses

  • To disable or enable filter clauses

  • To store favorite Filter/Colorize tool setups

  • To recall favorite Filter/Colorize tool setups

  • To delete favorite Filter/Colorize tool setups

  • To disable or enable a Filter/Colorize tool

  • To rename a Filter/Colorize tool

  • To delete a Filter/Colorize tool


To specify bus/signal patterns to filter

  1. Open the Filter/Colorize tool's properties dialog by choosing Tools>(Filter/Colorize tool)>Properties or by clicking the tool's Properties button in the Overview window:

  2. In the Filter/Colorize dialog, select the Bus/Signal pattern type.

  3. Select the bus or signal.

    Clicking [image] lets you select from recently used bus/signal names. Clicking elsewhere on a bus/signal name button opens a Select dialog for selecting a different name.

  4. If a bus has been selected, either select All bits on the bus or select an individual bit.

  5. Specify the bus/signal value:

    If a signal or one bit of a bus has been selected, select the signal pattern value (High, Low, or Dont Care).

    If all bits of a bus have been selected:

    1. Select one of the operators: = (equal to), != (not equal to), < (less than), > (greater than), <= (less than or equal to), >= (greater than or equal to), In Range, or Not In Range.

    2. Select the number base (Binary, Hex, Octal, Decimal, Signed Decimal, also known as two's complement, Ascii, or Symbol).

    3. Enter the pattern value(s).

      When the Symbol number base is selected, you use the Select Symbol dialog to specify the pattern values.

    If an analog signal has been selected:

    1. Select one of the operators: = (equal to), != (not equal to), < (less than), > (greater than), <= (less than or equal to), >= (greater than or equal to), In Range, or Not In Range.

    2. Enter the voltage value(s).

See Also

  • To insert or delete pattern events


To specify packet patterns to filter

  1. Open the Filter/Colorize tool's properties dialog by choosing Tools>(Filter/Colorize tool)>Properties or by clicking the tool's Properties button in the Overview window:

  2. In the Filter/Colorize dialog, select the Packet, Packet Error, or Field pattern type.

    • For the Packet pattern type …

    • For the Packet Error pattern type …

    • For the Field pattern type …

For the Packet pattern type …

  1. You can click packet type button to open a selection dialog.

  2. Click the packet event button to open the Event Editor dialog.

    For more information, see Using the Packet Event Editor

For the Packet Error pattern type …

  1. You can click packet type button to open a selection dialog.

  2. Select the packet error value:

For the Field pattern type …

  1. Select the field name.

    Clicking [image] lets you select from recently used field names. Clicking elsewhere on a field name button opens a Select dialog for selecting a different name.

  2. Specify the field value:

    If a single-bit field has been selected, select the signal pattern value (High, Low, or Dont Care).

    If a multiple-bit field has been selected:

    1. Select one of the operators: = (equal to), != (not equal to), < (less than), > (greater than), <= (less than or equal to), >= (greater than or equal to), In Range, or Not In Range.

    2. Select the number base (Binary, Hex, Octal, Decimal, or Signed Decimal, also known as two's complement).

    3. Enter the pattern value(s).

See Also

  • To insert or delete pattern events


To insert or delete pattern events

  1. Open the Filter/Colorize tool's properties dialog by choosing Tools>(Filter/Colorize tool)>Properties or by clicking the tool's Properties button in the Overview window:

  2. In the Filter/Colorize dialog, at a pattern event, click the [image] button associated with an event, and choose Insert Event After (AND/OR), Insert Event Before (AND/OR), or Delete Event.

  3. Specify whether the event should be And'ed or Or'ed with the other events.

See Also

  • To specify bus/signal patterns to filter

  • To specify packet patterns to filter


To insert or delete filter clauses

A Filter/Colorize tool can have multiple filter clauses, for example, to use different colors for different samples, to hide or show different samples, or to alternate between different filters. (You can also alternate between different filters by storing and recalling Filter/Colorize tool setups or by enabling/disabling multiple Filter/Colorize tools.)

To insert or delete filter clauses:

  1. Open the Filter/Colorize tool's properties dialog by choosing Tools>(Filter/Colorize tool)>Properties or by clicking the tool's Properties button in the Overview window:

  2. In the Filter/Colorize dialog, click the [image] button associated with a filter clause, and choose Insert Filter Clause After, Insert Filter Clause Before, or Delete Filter Clause.

Combining Filter Clauses

When you enable several Color filters, the first filter takes precedence.

Example

This pair of filters:

gives this result:

When you enable several Show filters, each filter successively filters the output of the preceding filters.

Example

This pair of filters:

gives this result:

The first filter hides all states except 02 and 03. The second filter hides the 02 states.

To show several ranges in your data, OR them within a single filter as shown in the next example.

Example

The pair of filters in the previous example can be entered as two OR'd events in one filter:

which gives this result:


To name filter clauses

  1. Open the Filter/Colorize tool's properties dialog by choosing Tools>(Filter/Colorize tool)>Properties or by clicking the tool's Properties button in the Overview window:

  2. In the Filter/Colorize dialog, click the [image] button associated with a filter clause, and choose Rename....

  3. In the Rename Filter dialog, enter the desired filter clause name, and click OK.

To show/hide filter clause names

  1. In the Filter/Colorize dialog, click the [image] button associated with a filter clause, and choose Show Name or Hide Name.

    Filter clause names look like:


To disable or enable filter clauses

A Filter/Colorize tool can contain multiple filter clauses. You can disable or enable filter clauses to control which filters are applied to your data.

  1. Open the Filter/Colorize tool's properties dialog by choosing Tools>(Filter/Colorize tool)>Properties or by clicking the tool's Properties button in the Overview window:

  2. In the Filter/Colorize dialog, click the [image] button associated with a filter clause, and choose Disable Filter Clause or Enable Filter Clause.

    A disabled filter clause looks like:


To change the "across all data" option

When there are multiple data sources flowing into the Filter/Colorize tool, the Filter/Colorize across all data option specifies how the operation is applied across data sources.

To change the "across all data" option:

  1. Open the Filter/Colorize tool's properties dialog by choosing Tools>(Filter/Colorize tool)>Properties or by clicking the tool's Properties button in the Overview window:

  2. In the Filter/Colorize dialog, click Options....

  3. In the Filter Options dialog, either check or uncheck the Filter/Colorize across all data option and click OK.

    When checked, the Filter/Colorize operation spans all data sources:

    When unchecked, the operation only affects the data sources specified in the Filter/Colorize patterns:

    When using multiple buses/signals in an "OR" condition, each bus/signal should be specified as part of its own filter clause. This causes a logical "OR" of filter events and provides for independent filtering between the input data sources. Otherwise, filtering will be applied across all buses/signals in the same filter clause, regardless of which part of the clause satisfies the filter condition.

    For example, if you are filtering out whenever the bus 8bbyte0 is FF from either the Analyzer W or Analyzer Y, you should specify the two conditions in separate clauses like so:


To store favorite Filter/Colorize tool setups

  1. Open the Filter/Colorize tool's properties dialog by choosing Tools>(Filter/Colorize tool)>Properties or by clicking the tool's Properties button in the Overview window:

  2. In the Filter/Colorize dialog, click Store Favorite.

    • To store as a new favorite, choose New....

      In the Favorite dialog, enter a name, and click OK.

    • To store as an XML format file, choose To File.... In the Save As dialog, enter a file name, and click Save.

    • To store over an existing favorite, choose that favorite from the bottom of the menu.

[Note]

When a Filter/Colorize tool is deleted from the Overview window, any favorites that were created are also deleted.


To recall favorite Filter/Colorize tool setups

  1. Open the Filter/Colorize tool's properties dialog by choosing Tools>(Filter/Colorize tool)>Properties or by clicking the tool's Properties button in the Overview window:

  2. In the Filter/Colorize dialog, click Recall Favorite and select the favorite from the bottom of the menu.

    To recall a favorite from an XML format file, choose From File.... In the Open dialog, enter the file name, and click Open.


To delete favorite Filter/Colorize tool setups

  1. Open the Filter/Colorize tool's properties dialog by choosing Tools>(Filter/Colorize tool)>Properties or by clicking the tool's Properties button in the Overview window:

  2. In the Filter/Colorize dialog, click Store Favorite or Recall Favorite and choose Delete....

  3. In the Delete Favorites dialog, select the favorites you want to delete; then, click Delete.


To disable or enable a Filter/Colorize tool

You can use multiple Filter/Colorize tools and disable or enable them to control which filters are applied to your data.

  1. From the Agilent Logic Analyzer application's main menu, choose Tools>(Filter/Colorize tool)>Disable or Tools>(Filter/Colorize tool)>Enable.

    Or, in the Overview window, click the Filter/Colorize tool's [image] button, and choose Disable or Enable.


To rename a Filter/Colorize tool

  1. From the Agilent Logic Analyzer application's main menu, choose Tools>(Filter/Colorize tool)>Rename....

    Or, in the Overview window, click the Filter/Colorize tool's [image] button, and choose Rename....

  2. In the Rename dialog, enter the desired Filter/Colorize tool name and click OK.


To delete a Filter/Colorize tool

  1. From the Agilent Logic Analyzer application's main menu, choose Tools>(Filter/Colorize tool)>Delete.

    Or, in the Overview window, click the Filter/Colorize tool's [image] button, and choose Delete.


The Filter/Colorize Tool vs. Filtering in the Trigger

Both the Filter/Colorize tool and triggers can be used to select which captured samples are displayed. In general, it is best to use the most specific trigger possible; then, use the Filter/Colorize tool to hide, highlight, or explore the captured data.

Advantages of Filtering in the Trigger

  • If you use storage qualification, only the samples you care about are stored. Thus, you can capture data over a longer period of time.

  • Triggers can use if/then logic to analyze the relationship between samples in time.

Advantages of the Filter/Colorize Tool

  • The Filter/Colorize tool can be used when storage qualification cannot (when the logic analyzer is in Full Channel Timing Mode or Half Channel Timing Mode).

  • The Filter/Colorize tool can be modified without re-running a measurement. This is useful when you are not sure exactly what you are looking for in the data, or when you are capturing a difficult-to-reproduce event.

  • Filter/Colorize tools can be cascaded.

  • Filter/Colorize tools can be temporarily disabled so you can see which samples are being filtered out.

See Also

  • Capturing Data from the Device Under Test


Using the Packet Decoder Tool

The Packet Decoder tool is used in conjunction with the bus analysis tools and probes. Loading the configuration file for a probe will automatically set up a Packet Decoder tool. It is also possible to set up a new Packet Decoder tool using the Tools>New Packet Decoder... menu item.

Packet Viewer windows are typically used to view information from the Packet Decoder tool (see Analyzing Packet Data).

The Packet Decoder tool has these tabs:

  • Protocol Select — lets you select the protocol to use, along with other information that may affect how the data is decoded (such as the number of lanes or the direction of traffic).

  • ASCII Decode Options — lets you enable ASCII decode output (if you want to view decode information in Listing windows) and specify related decoding options.

See Also

If the analysis probe add-in software is installed, refer to the online help for more information on using the Packet Decoder tool:

FlexRay Packet Decode

InfiniBand Analysis Probe

Serial ATA/SAS Analysis Probe


To develop your own tools

The Agilent Logic Analyzer install CD has an Analysis AddIn Wizard that helps you develop your own inverse assemblers or analysis tools.

The Analysis AddIn Wizard works with Microsoft Visual Studio .NET.

To install the Analysis AddIn Wizard:

  1. Browse the Agilent Logic Analyzer install CD.

  2. Run SetupAnalysisIAWizard.exe and follow the instructions to install the proper files.

    The files will be installed into the C:\Program Files\Agilent Technologies\Logic Development\Analysis AddIn Wizard directory.

  3. Refer to the documentation in the docs subdirectory for more information on using the Analysis API.


Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Agilent Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Microsoft®, MS-DOS®, Windows®, Windows 2000®, and Windows XP® are U.S. registered trademarks of Microsoft Corporation.

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.


Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.